# Download Pathway Archive

Source: `R/downloadPathwayArchive.R`
`downloadPathwayArchive.Rd`

Access the monthly archives of pathway content from WikiPathways.

    downloadPathwayArchive(
      date = "current",
      organism = NULL,
      format = c("gpml", "gmt", "svg"),
      destpath = "./"
    )

## Arguments

date | (optional) The timestamp for a monthly release (e.g., 20171010) or "current" (default) for latest release.
organism | (optional) A particular species. See listOrganisms.
format | (optional) Either gpml (default), gmt or svg.
destpath | (optional) Destination path for file to be downloaded to. Default is current workding directory.

## Value

Filename of downloaded file or an opened tab in default browser

## Details

If you do not specify an organism, then an archive file will not be downloaded. Rather, the archive will be opened in a tab in your default browser.

## See also

readPathwayGMT

## Examples

    # \donttest{
    downloadPathwayArchive()  ## open in browser
    downloadPathwayArchive(format="gmt")  ## open in browser
    downloadPathwayArchive(date="20171010", format="svg")  ## open in browser
    downloadPathwayArchive(date="20171010", organism="Mus musculus", format="svg")  ## download file
    #> [1] "wikipathways-20171010-svg-Mus_musculus.zip"downloadPathwayArchive(organism="Mus musculus")  ## download file
    #> [1] "wikipathways-20210110-gpml-Mus_musculus.zip"# }